# Class duplicate_key_error

- Defined in File category.hpp

## Inheritance Relationships

### Base Type

- `public std::runtime_error`

## Class Documentation

class duplicate_key_error : public std::runtime_error

  A duplicate_key_error is thrown when an attempt is made to insert a row with values that would introduce a duplicate key in the index. Of course, this can only happen if a category_validator has been defined for this category.

  Public Functions

  inline duplicate_key_error(const std::string &msg)

    Construct a new duplicate key error object.